Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Reports Forecast Prepare

post/api/v1/skills/reports.forecast.prepare/invoke

Prepare a financial forecast β€” multi-scenario, with assumptions register.

Request bodyapplication/json

FieldTypeDescription
client_idrequiredstring (uuid)β€”
horizon_monthsintegerβ€”
scenarios"base" | "optimistic" | "pessimistic"[]β€”
projection_type"pnl" | "cashflow" | "balance_sheet"[]β€”
seasonal_adjustmentbooleanβ€”
growth_assumptionsobjectβ€”
show nested
Empty object.
output_format"data" | "document" | "both"β€”
datadocumentboth

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
artifact_idstring (uuid) | nullβ€”
download_urlstringβ€”
summarystringβ€”
citationsany[]β€”
warningsstring[]β€”
stub_fieldsstring[]β€”
forecast_idstring (uuid)β€”
horizon_monthsintegerβ€”
base_periodstringβ€”
currencystringβ€”
scenariosobjectβ€”
show nested
Empty object.
assumptions_registerobject[]β€”
item shape
Empty object.
data_qualityobjectβ€”
show nested
Empty object.
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/reports.forecast.prepare/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "client_id": "00000000-0000-0000-0000-000000000000",
       "horizon_months": 0,
       "scenarios": [
         "base"
       ],
       "projection_type": [
         "pnl"
       ],
       "seasonal_adjustment": false,
       "growth_assumptions": {},
       "output_format": "data"
     }'